Bug 168745 - intermitent mknod failures
intermitent mknod failures
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-19 18:49 EDT by morgan read
Modified: 2008-03-31 06:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-31 02:24:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description morgan read 2005-09-19 18:49:34 EDT
Description of problem:
- This is an intermittent fault.
- I presume the component's udev - please change if not.

- At boot I get:
mknod: failed to make node: /dev/console:17
mknod: failed to make node: /dev/null:17
mknod: failed to make node: /dev/zero:17

Version-Release number of selected component (if applicable):
udev-058-1

How reproducible:
Intermittent on boot, usually gone on reboot

Steps to Reproduce:
1.boot
2.
3.
  
Actual results:
mknod: failed to make node: /dev/console:17
mknod: failed to make node: /dev/null:17
mknod: failed to make node: /dev/zero:17


Expected results:
No fails

Additional info:
Comment 1 Radek Bíba 2005-09-20 02:53:01 EDT
Happens to me only after an incorrect shutdown. Perhaps these files stay in /dev
in this case and mknod fails because they already exist? Anyway, this is just a
cosmetic bug, these files _are_ available (checked once after system startup was
complete).

Or do you miss these files?
Comment 2 Harald Hoyer 2005-09-20 07:53:22 EDT
#define EEXIST          17      /* File exists */
Comment 3 morgan read 2005-09-25 07:43:09 EDT
Reopened because this doesn't seem to be caused by an incorrect shutdown.  Only
recently had the same problem again and remembered to check if the files existed
- and yes they do.  But, this happens when my shutdowns are all OKs.  Since
moving to fc4 I've always had lot of text (a screen or so) on auditd shutdown -
don't know if this might be relevant?
Comment 4 Andreas M. Kirchwitz 2005-12-19 04:24:40 EST
By the way, the bug still exists in newest kernel 2.6.14-1.1653_FC4.
It looks like the same problem as described in ticket #157129
(which has been closed erroneously).
Comment 5 Harald Hoyer 2005-12-19 04:42:14 EST
"at boot", is this in initrd?
Comment 6 Andreas M. Kirchwitz 2005-12-19 06:25:54 EST
Yes, I think so. In initrd, the three lines

  mknod /dev/console c 5 1
  mknod /dev/null c 1 3
  mknod /dev/zero c 1 5

are processed. And it looks like this is where the error messages
come from. Because the devices already exist, there doesn't seem
to be any serious impact on the system. However, I don't know if
there's more going wrong (which we haven't noticed yet).
Comment 7 petrosyan 2008-02-28 21:00:22 EST
Fedora Core 4 is no longer maintained. Can you reproduce this bug in Fedora 8?
Comment 8 petrosyan 2008-03-31 02:24:24 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.
Comment 9 morgan read 2008-03-31 06:03:56 EDT
Yes, I haven't experience this for a long long time.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.